# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::SortMode Class Reference

Sort method for sorting an addressee list. More...

`#include <sortmode.h>`

List of all members.

## Public Member Functions

virtual bool | lesser (const KABC::Addressee &first, const KABC::Addressee &second) const =0

## Detailed Description

Sort method for sorting an addressee list.

This interface should be reimplemented by classes which shall act as SortModes for KABC::AddresseeList.

Definition at line 36 of file sortmode.h.

## Member Function Documentation

virtual bool KABC::SortMode::lesser | ( | const KABC::Addressee & | first,
|  | const KABC::Addressee & | second
| ) | const`[pure virtual]`

| Reimplement this method and return whether the first contact is 'smaller' than the second.

The documentation for this class was generated from the following file:

- sortmode.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003